Loading...
Searching...
No Matches
juce::MenuBarModel::Listener Class Referenceabstract

## Detailed Description

A class to receive callbacks when a MenuBarModel changes.

See also
  MenuBarModel::addListener, MenuBarModel::removeListener, MenuBarModel::menuItemsChanged

The documentation for this class was generated from the following file:

- juce_gui_basics/menus/juce_MenuBarModel.h

Inheritance diagram for juce::MenuBarModel::Listener:

## Public Member Functions

virtual | ~Listener ()=default
| Destructor.
virtual void | menuBarItemsChanged (MenuBarModel *menuBarModel)=0
| This callback is made when items are changed in the menu bar model.
virtual void | menuCommandInvoked (MenuBarModel *menuBarModel, const ApplicationCommandTarget::InvocationInfo &info)=0
| This callback is made when an application command is invoked that is represented by one of the items in the menu bar model.
virtual void | menuBarActivated (MenuBarModel *menuBarModel, bool isActive)
| Called when the menu bar is first activated or when the user finished interacting with the menu bar.

## Constructors and Destructors

## ~Listener()

virtual juce::MenuBarModel::Listener::~Listener | ( |  | ) |

virtual default

Destructor.

## Member Functions

## menuBarItemsChanged()

virtual void juce::MenuBarModel::Listener::menuBarItemsChanged | ( | MenuBarModel * | menuBarModel | ) |

pure virtual

This callback is made when items are changed in the menu bar model.

Implemented in juce::MenuBarComponent.

References juce::MenuBarModel::MenuBarModel().

## menuCommandInvoked()

virtual void juce::MenuBarModel::Listener::menuCommandInvoked | ( | MenuBarModel * | menuBarModel,
|  | const ApplicationCommandTarget::InvocationInfo & | info )

pure virtual

This callback is made when an application command is invoked that is represented by one of the items in the menu bar model.

Implemented in juce::MenuBarComponent.

References juce::MenuBarModel::MenuBarModel().

## menuBarActivated()

virtual void juce::MenuBarModel::Listener::menuBarActivated | ( | MenuBarModel * | menuBarModel,
|  | bool | isActive )

virtual

Called when the menu bar is first activated or when the user finished interacting with the menu bar.

References juce::MenuBarModel::MenuBarModel().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited